### Method

# Ide BuildSystem supports_toolchain

#### Declaration

    gboolean
    ide_build_system_supports_toolchain (
      IdeBuildSystem* self,
      IdeToolchain* toolchain
    )

#### Description

Checks whether the build system supports the given toolchain.

Available since: | 3.32

#### Parameters

`toolchain` | `IdeToolchain`
| A `IdeToolchain`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the toolchain is supported by the build system, `FALSE` otherwise.